Bug 475242 - Review Request: perl-Data-Dump-Streamer - Accurately serialize a data structure as Perl code
Review Request: perl-Data-Dump-Streamer - Accurately serialize a data structu...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 11:55 EST by Iain Arnell
Modified: 2009-01-29 18:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 18:06:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-12-08 11:55:32 EST
Spec URL: http://iarnell.fedorapeople.org/perl-Data-Dump-Streamer.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-Data-Dump-Streamer-2.08-1.fc11.src.rpm
Description: 
Given a list of scalars or reference variables, writes out their contents
in perl syntax. The references can also be objects. The contents of each
variable is output using the least number of Perl statements as convenient,
usually only one. Self-referential structures, closures, and objects are
output correctly.
Comment 1 Chris Weyl 2008-12-08 14:58:34 EST
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=987861
Comment 2 manuel wolfshant 2008-12-08 15:31:46 EST
Isn't /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-
multi/Data/Dump/Streamer/_ a bit odd as directory name ?
Comment 3 Iain Arnell 2008-12-08 16:26:25 EST
Yep! That was (almost) my first thought - what on earth is Data::Dump::Streamer::_::Printers for a module? But it's really there. Data/Dump/Streamer.pm line 13

use Data::Dump::Streamer::_::Printers;

Looks to be the author's way of indicating seriously-private-module-don't-ever-think-about-using-this.  Which is why I've excluded the requires and provides that result from it.
Comment 4 manuel wolfshant 2008-12-09 04:32:41 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: b66764af72e14918367207b70d3097a868da74d8 Data-Dump-Streamer-2.08-40.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build + devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build + devel/x86_64
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass.
 [x] Final provides and requires are sane.

================
*** APPROVED ***
================

Note: leaving as only comment in %changelog the bits left by an automatic script, even after you review and modify the spec is a tiny bit misleading...
Comment 5 Iain Arnell 2008-12-09 04:47:46 EST
New Package CVS Request
=======================
Package Name: perl-Data-Dump-Streamer
Short Description: Accurately serialize a data structure as Perl code
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2008-12-09 22:33:40 EST
cvs done.
Comment 7 Fedora Update System 2009-01-13 00:19:43 EST
perl-Data-Dump-Streamer-2.08-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Data-Dump-Streamer-2.08-1.fc10
Comment 8 Fedora Update System 2009-01-13 00:19:47 EST
perl-Data-Dump-Streamer-2.08-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Data-Dump-Streamer-2.08-1.fc9
Comment 9 Fedora Update System 2009-01-14 21:51:38 EST
perl-Data-Dump-Streamer-2.08-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-Dump-Streamer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0353
Comment 10 Fedora Update System 2009-01-14 22:01:26 EST
perl-Data-Dump-Streamer-2.08-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update perl-Data-Dump-Streamer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0466
Comment 11 Iain Arnell 2009-01-28 00:18:33 EST
Package Change Request
======================
Package Name: perl-Data-Dump-Streamer
New Branches: EL-5
Owners: iarnell iburrell
InitialCC: perl-sig
Comment 12 Kevin Fenzi 2009-01-28 00:46:10 EST
cvs done.
Comment 13 Fedora Update System 2009-01-29 18:06:18 EST
perl-Data-Dump-Streamer-2.08-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-01-29 18:08:33 EST
perl-Data-Dump-Streamer-2.08-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.